Bug 1130306 - Missing json-glib-1.0 in build dependencies (README)
Summary: Missing json-glib-1.0 in build dependencies (README)
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: openlmi-providers
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Radek Novacek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-14 19:55 UTC by Alois Mahdal
Modified: 2016-12-01 00:33 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-05 07:38:54 UTC


Attachments (Terms of Use)

Description Alois Mahdal 2014-08-14 19:55:15 UTC
Description of problem:

json-glib-1.0 is not mentioned in Build Dependencies section of README, but building (with jobmanager, which is default) fails without it.


Version-Release number of selected component (if applicable):
openlmi-providers, 50c4ce0

How reproducible:
Always


Steps to Reproduce:
 1. Install build-deps mentioned in README
 2. As described in README:

        mkdir -p build && cd build
        cmake .. -DCMAKE_INSTALL_PREFIX=/usr \
                 -DWITH-FAN=0 \
                 -DWITH-POWER=0 \
                 -DWITH-SSSD=0


Actual results:

    -- Generated profile mof /root/openlmi-providers/build/mof/90_LMI_Realmd_Profile.mof
    -- checking for module 'json-glib-1.0'
    --   package 'json-glib-1.0' not found
    CMake Error at /usr/share/cmake/Modules/FindPkgConfig.cmake:279 (message):
      A required package was not found
    Call Stack (most recent call first):
      /usr/share/cmake/Modules/FindPkgConfig.cmake:333 (_pkg_check_modules_internal)
      src/libs/jobmanager/CMakeLists.txt:7 (pkg_check_modules)


Expected results:

Success


Additional info:

Note that current version of this library in fc20 and rhel7 is 0.16.2 and 0.16.0, so requirement of 1.0 quite limits usability of current tree in these distributions.

This requirement can be avoided by providing `-DWITH-JOBMANAGER=0` argument to `cmake`; hard to say how much a sacrifice is that.

Comment 1 Jan Safranek 2014-11-04 16:36:47 UTC
Fixed in upstream git and it will be part of the next release.

Comment 2 Jan Safranek 2014-11-04 16:39:59 UTC
Oops, wrong bug, reopening. JobManager is required by selinux and (future) software providers. I'll add some note to README


Note You need to log in before you can comment on or make changes to this bug.